diff -ru drakma-1.2.3/doc/index.html drakma-new/doc/index.html
--- drakma-1.2.3/doc/index.html	2010-08-05 21:50:48 +0200
+++ drakma-new/doc/index.html	2010-10-06 11:37:15 +0200
@@ -680,7 +680,8 @@
 have <a
 href="http://www.lispworks.com/documentation/lw50/LWUG/html/lwuser-344.htm">the
 corresponding C libraries</a> as well.  You'll usually have them
-already unless you're on Windows.
+already unless you're on Windows. If you don't have required C libraries you can add <b>:drakma-no-ssl</b>
+to <b>*features*</b> to avoid using CL+SSL for https support.
 <p>
 Lu&iacute;s Oliveira maintains a <a href="http://darcs.net/">darcs</a>
 repository of Drakma
diff -ru drakma-1.2.3/drakma.asd drakma-new/drakma.asd
--- drakma-1.2.3/drakma.asd	2010-08-05 21:50:48 +0200
+++ drakma-new/drakma.asd	2010-10-06 11:03:49 +0200
@@ -59,4 +59,4 @@
                :chunga
                :flexi-streams
                #-:lispworks :usocket
-               #-(or :lispworks :allegro) :cl+ssl))
+               #-(or :lispworks :allegro :drakma-no-ssl) :cl+ssl))
diff -ru drakma-1.2.3/util.lisp drakma-new/util.lisp
--- drakma-1.2.3/util.lisp	2010-05-19 21:55:46 +0200
+++ drakma-new/util.lisp	2010-10-06 11:17:13 +0200
@@ -330,10 +330,12 @@
 (defun make-ssl-stream (http-stream)
   "Attaches SSL to the stream HTTP-STREAM and returns the SSL stream
 \(which will not be equal to HTTP-STREAM)."
-  #+:allegro
+  #+(and :allegro (not :drakma-no-ssl))
   (socket:make-ssl-client-stream http-stream)
-  #-:allegro
+  #+(and (not :allegro) (not :drakma-no-ssl))
   (let ((s http-stream))
     (cl+ssl:make-ssl-client-stream
      (cl+ssl:stream-fd s)
-     :close-callback (lambda () (close s)))))
\ No newline at end of file
+     :close-callback (lambda () (close s))))
+  #+:drakma-no-ssl
+  (error "SSL not supported. Remove :drakma-no-ssl from *features* to enable SSL"))
